Subject: Re: [PB] "no acceptable ld" : cywin32 pb, way to handle win path ?
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>, "Sebastien Barre" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Tue, 23 Feb 1999 07:24:56 -0500

If I remember correctly; Geoffrey Noer mentioned last month, that it was
a Cgywin issue not automake.  Perhaps the problem will be fixed in the
next release of Cygwin.

Suhaib

----- Original Message -----
From: Sebastien Barre <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, February 23, 1999 1:41 AM
Subject: [PB] "no acceptable ld" : cywin32 pb, way to handle win path ?

>Here are some excerpts of a problem discussed in the cywin32 mailing
list.
>I thought it might be interesting for the automake people too (this
message
>is also crossposted CC: to the cywin32 list for information).
>
>http://www.cygnus.com/ml/gnu-win32/
>http://sourceware.cygnus.com/ml/cygwin/1999-02/msg00702.html
>
>It seems related to the way configure script handles path (many of use
>encoutered the pb with different configure scripts) :
>
> Alex <[email-masked]> :
>
>>i tried to compile CILK ( http://supertech.lcs.mit.edu/cilk/ )
>>and i got this error message:
>>
>>checking for ld used by GCC... no
>>configure: error: no acceptable ld found in $PATH
>>
>>though ld.exe is in the bin directory, what can i do to solve this
>>problem ?
>
>
>Tolj <[email-masked]> :
>
>>check out the configure script itself where the test is performed,
i.e.
>>search for "checking for ld used by" and you may see that you'll need
to
>>add Win32 path style to match certain conditions within the configure
>>script so ld is recognized.
>>
>>At least for some configure scripts this has been the problem for not
>>recognizing ld in my experience.
>
>
>Julian Kinraid <[email-masked]>
>
>>I had the same problem, but if you just set the LD enviroment
variable,
>>you mightn't need to change the configure script -
>>
>>export LD=/cygwin/cygwin-b20/H-i586-cygwin32/bin/ld.exe
>>
>>Just make sure the path is correct.
>
>
>"Suhaib M. Siddiqi" <[email-masked]> :
>
>>>export LD=/cygwin/cygwin-b20/H-i586-cygwin32/bin/ld.exe
>>>
>>>Just make sure the path is correct.
>>>
>>
>>Theoretically it supposed to work.  But; it does not awlays by doing
>>export... before using configure script.  Many Configure scripts
apprantly
>>ignore it and seach for LD="$..." whatever.  Hardcoding the ld.exe
path in
>>configure works at least always in my hands.
>
>
>"Suhaib M. Siddiqi" <[email-masked]> :
>
>>This problem also occurs with LessTif and many other codes.  It is
because
>>Cygwin has a different style.
>>
>>I usually search the configure script for something like "LD="$...."
and
>>replace all those occurances with
>>LD="/usr/cygwin-b20/H-i586-cywgin32/bin/ld.exe"  This hard codes the
ld.exe
>>path and also include at your ./configure --with-gnu-ld if this option
is
>>available (check with ./configure --help).  Hard coding ld.exe path in
>>configure script always has worked at least in my hands.
>
>
>Any help frop the automake people would be really appreciated, sorry if
it
>has been discussed before...
>
>Thanks a lot
>
>
>______________________________________________________________
>Sebastien Barre                  http://www.hds.utc.fr/~barre/
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]